# CRUD: Retrieve a product rate plan Retrieves a product rate plan. Endpoint: GET /v1/object/product-rate-plan/{id} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `X-Zuora-WSDL-Version` (string) Zuora WSDL version number. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `fields` (string) Object fields to return ## Path parameters: - `id` (string, required) Object id ## Response 200 fields (application/json): - `ActiveCurrencies` (array) A list of 3-letter currency codes representing active currencies for the product rate plan. This field cannot be queried in conjunction with any other fields except id at the same time. - `CreatedById` (string) The automatically generated ID of the Zuora user who created the ProductRatePlan object. - `CreatedDate` (string) The date when the ProductRatePlan object was created. - `Description` (string) A description of the product rate plan. - `EffectiveEndDate` (string) The date when the product rate plan expires and can't be subscribed to, in yyyy-mm-dd format. - `EffectiveStartDate` (string) The date when the product rate plan becomes available and can be subscribed to, in yyyy-mm-dd format. - `Grade` (number) The grade that is assigned for the product rate plan. Notes: - To use this field, you must set the X-Zuora-WSDL-Version request header to 116 or later. Otherwise, an error occurs. - This field is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. If you want to join this early adopter program, submit a request at [Zuora Global Support](http://support.zuora.com/). - `Id` (string) Object identifier. - `Name` (string) The name of the product rate plan. The name doesn't have to be unique in a Product Catalog, but the name has to be unique within a product. - `ProductId` (string) The ID of the product that contains the product rate plan. - `UpdatedById` (string) The automatically generated ID of the last user to update the object. - `UpdatedDate` (string) The date when the object was last updated. - `BillingPeriod__NS` (string) Billing period associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Monthly", "Quarterly", "Annual", "Semi-Annual" - `Class__NS` (string) Class associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `Department__NS` (string) Department associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `IncludeChildren__NS` (string) Specifies whether the corresponding item in NetSuite is visible under child subsidiaries. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Yes", "No" - `IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `IntegrationStatus__NS` (string) Status of the product rate plan's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `ItemType__NS` (string) Type of item that is created in NetSuite for the product rate plan. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Inventory", "Non Inventory", "Service" - `Location__NS` (string) Location associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `MultiCurrencyPrice__NS` (string) Multi-currency price associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `Price__NS` (string) Price associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `Subsidiary__NS` (string) Subsidiary associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SyncDate__NS` (string) Date when the product rate plan was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). ## Response 401 fields (application/json): - `message` (string) Error message. If the error message is "Authentication error", ensure that the Authorization request header contains valid authentication credentials, then retry the request. See [Authentication](https://developer.zuora.com/docs/guides/authentication/) for more information. If the error message is "Failed to get user info", retry the request. ## Response 404 fields (application/json): - `done` (boolean) - `records` (array) - `size` (integer)